
var table ,   block = $(".content-wrapper").parent();
    
    function edit_items(itemid,itemName,localname,sym,dir,typ){
      itemName    = decodeURIComponent_back(itemName);
      localname   = decodeURIComponent_back(localname);
      sym         = decodeURIComponent_back(sym);

       $("#edit_language_name").val(sym);

       $("#edit_objid").val(itemid);
       $("#edit_language_dir").val(dir);
       $("#edit_is_defualt").val(typ);
       $('#edit_form_cont').modal('toggle');
    }

    function delete_items(itemid) {
      block = $("#list_of_items_tbl");
      // bootstrap modal confirmation box
        swal({
            title: Translation("هل انت متأكد؟!"),
            text: Translation("سوف لن تستطيع استرجاع المعلومات المرتبطة بهذا السجل في حالة المسح"),
            type: "warning",
            showCancelButton: true,
            confirmButtonColor: "#EF5350",
            confirmButtonText:  Translation("موافق: امسح!"),
            cancelButtonText:   Translation("الغاء الامر"),
            closeOnConfirm: false,
            closeOnCancel: true
        },
        function(isConfirm){
            if (isConfirm) {
              $.ajax({
                url: "models/crul_languages.php",
                type:"POST",
                dataType : "JSON",
                data: {"type":"delete","obj_id":itemid} ,
                complete:function(){
                 // hideLoader();
                },
                beforeSend:function(){
                 // showLoader("Deleting Category");
                },
                success: function(res) {

                  if(res.is_success == true){
                    swal({
                            title: Translation("حذف!"),
                            text: Translation(res.data),
                            confirmButtonColor: "#66BB6A",
                            type: "success"
                        });
                    $(".datatable-column-search-inputs").DataTable().ajax.reload(null, false);
                  }else{
                    swal({
                            title: Translation("خطأ"),
                            text: Translation(res.data),
                            confirmButtonColor: "#2196F3",
                            type: "error"
                        });
                  }
                }
            });
            }
        }); // /confirm
    }


$(document).ready(function() {
  
    $('#add_form').submit(function(event) {
            event.preventDefault();
            // block

            block = $(this).parent();
            // \block

            var language_symbol           = $("#language_name").val();

            var language_name             = $("#language_name option:selected").attr('data-lang-native-name');
            var language_localazation     = $("#language_name option:selected").attr('data-lang-name');
            var language_dir              = $("#language_dir").val();
            var is_defualt                = $("#is_defualt").val();
            
            var Check1 = true;
            var Check2 = true;

            if(language_symbol =='') {
               $("#language_name").closest('.form-group').removeClass('has-success');
               $("#language_name").closest('.form-group').addClass('has-error');
               Check1 = false;
               noty({
                        width: 200,
                        text: Translation("الرجاء قم بادخال اسم اللغة"),
                        type: 'error',
                        dismissQueue: true,
                        timeout: 3000,
                        layout: 'top',
                  });
            }else{
               $("#language_name").closest('.form-group').removeClass('has-error');
               $("#language_name").closest('.form-group').addClass('has-success');
            }

            if(language_dir =='') {
               $("#language_dir").closest('.form-group').removeClass('has-success');
               $("#language_dir").closest('.form-group').addClass('has-error');
               Check2 = false;
               noty({
                        width: 200,
                        text: Translation("الرجاء قم بادخال اتجاه اللغة"),
                        type: 'error',
                        dismissQueue: true,
                        timeout: 3000,
                        layout: 'top',
                  });
            }else{
               $("#language_dir").closest('.form-group').removeClass('has-error');
               $("#language_dir").closest('.form-group').addClass('has-success');
            }

           

            if(Check1 && Check2){
              $("#submit_add_btn").attr('disabled',true);
                $.ajax({
                    url: "models/crul_languages.php",
                    type:"POST",
                    dataType : "JSON",
                    data : {language_symbol:language_symbol,language_name:language_name,
                     language_localazation:language_localazation,language_dir:language_dir,is_defualt:is_defualt ,type:'create'}
                })
                .done(function(res) {
                  //alert(res);
                  if(res.is_success == true){
                      $("#add_form")[0].reset();
                      $(".datatable-column-search-inputs").DataTable().ajax.reload(null, false);
                      $("#add-form-cont").collapse('hide');
                      noty({
                                      width: 200,
                                      text: Translation(res.data),
                                      type: 'success',
                                      dismissQueue: true,
                                      timeout: 3000,
                                      layout: 'topRight',
                                });
                  }else{
                      swal({
                          title: Translation("خطأ"),
                          text: Translation(res.data),
                          confirmButtonColor: "#66BB6A",
                          type: "error"
                      });
                  }
                  $("#submit_add_btn").attr('disabled',false);
                })
                .fail(function(err) {
                   swal({
                      title: Translation("خطأ"),
                      text: Translation(err),
                      confirmButtonColor: "#66BB6A",
                      type: "error"
                    });
                   $("#submit_add_btn").attr('disabled',false);
                })
                .always(function() {
                    console.log("complete");
                });
            }

    });


     // submit editable Visa Application form
  $('#edit_form').submit(function(event) {
            event.preventDefault();
            // block
            block = $(this).parent();
            // \block

            
            var catId    = $("#edit_objid").val();


            var language_symbol           = $("#edit_language_name").val();

            var language_name             = $("#edit_language_name option:selected").attr('data-lang-native-name');
            var language_localazation     = $("#edit_language_name option:selected").attr('data-lang-name');
            var language_dir              = $("#edit_language_dir").val();
            var is_defualt                = $("#edit_is_defualt").val();

           
            
            var Check1 = true;
            var Check2 = true;

            if(language_name =='') {
               $("#edit_language_name").closest('.form-group').removeClass('has-success');
               $("#edit_language_name").closest('.form-group').addClass('has-error');
               Check1 = false;
               noty({
                        width: 200,
                        text: Translation("الرجاء قم بادخال اسم اللغة"),
                        type: 'error',
                        dismissQueue: true,
                        timeout: 3000,
                        layout: 'top',
                  });
            }else{
               $("#edit_language_name").closest('.form-group').removeClass('has-error');
               $("#edit_language_name").closest('.form-group').addClass('has-success');
            }


            if(language_dir =='') {
               $("#edit_language_dir").closest('.form-group').removeClass('has-success');
               $("#edit_language_dir").closest('.form-group').addClass('has-error');
               Check1 = false;
               noty({
                        width: 200,
                        text: Translation("الرجاء قم بادخال اتجاه اللغة"),
                        type: 'error',
                        dismissQueue: true,
                        timeout: 3000,
                        layout: 'top',
                  });
            }else{
               $("#edit_language_dir").closest('.form-group').removeClass('has-error');
               $("#edit_language_dir").closest('.form-group').addClass('has-success');
            }

            

           

            if(Check1 && Check2 ){
                $.ajax({
                    url: "models/crul_languages.php",
                    type:"POST",
                    dataType : "JSON",
                    data : {language_symbol:language_symbol,language_name:language_name,language_localazation:language_localazation,
                      language_dir:language_dir,is_defualt:is_defualt,obj_id:catId,type:'update'},
                    complete:function(){
                      //hideLoader();
                    },
                    beforeSend:function(){
                      //showLoader("Updating Category");
                    },
                    success: function(res) {
                      if(res.is_success == false){
                          $("#edit-form-cont").collapse('hide');
                          $('#edit_form_cont').modal('toggle');
                          $("#edit_form")[0].reset();
                          swal({
                              title: Translation("خطأ"),
                              text: Translation(res.data),
                              confirmButtonColor: "#66BB6A",
                              type: "warning"
                          });
                      
                      }else{

                          $("#edit_form")[0].reset();
                          $(".datatable-column-search-inputs").DataTable().ajax.reload(null, false);

                          $('#edit_form_cont').modal('toggle');
                          noty({
                                  width: 200,
                                  text: Translation(res.data), //'Product Successfully Update',
                                  type: 'success',
                                  dismissQueue: true,
                                  timeout: 3000,
                                  layout: 'topRight',
                                });
                      }
                    }
                });
              }
    });

    
    

});






$(function() {
//var singleSelect = $('.datatable-column-search-inputs').DataTable();
    




   // Setting datatable defaults
    $.extend( $.fn.dataTable.defaults, {
        autoWidth: false,
        columnDefs: [{ 
            orderable: false,
            width: '100px',
            targets: [ 4 ]
        }],
        dom: '<"datatable-header"fBl><"datatable-scroll"t><"datatable-footer"ip>',
        language: {
            search: '<span>'+Translation('بحث')+':</span> _INPUT_',
            searchPlaceholder: Translation('بحث عن')+' ...',
            lengthMenu: '<span>'+Translation('عرض')+':</span> _MENU_',
            paginate: { 'first': 'First', 'last': 'Last', 'next': '&larr;', 'previous': '&rarr;' }
        },
        drawCallback: function () {
            $(this).find('tbody tr').slice(-3).find('.dropdown, .btn-group').addClass('dropup');
        },
        preDrawCallback: function() {
            $(this).find('tbody tr').slice(-3).find('.dropdown, .btn-group').removeClass('dropup');
        }
    });

    

    // Individual column searching with text inputs
    $('.datatable-column-search-inputs tfoot td').not(':last-child').each(function () {
        var title = $('.datatable-column-search-inputs thead th').eq($(this).index()).text();
        $(this).html('<input type="text" class="form-control input-sm" placeholder="'+Translation('بحث عن')+' '+title+'" />');
    });
    
    

   
   var table = $('.datatable-column-search-inputs').DataTable({
        buttons: {            
            buttons: [
                {
                    extend: 'copyHtml5',
                    className: 'btn btn-default',
                    exportOptions: {
                        columns: [ 0, ':visible' ]
                    }
                },
                {
                    extend: 'excelHtml5',
                    className: 'btn btn-default',
                    exportOptions: {
                        columns: ':visible'
                    }
                },
                {
                    extend: 'pdfHtml5',
                    className: 'btn btn-default',
                    exportOptions: {
                        columns: ':visible'
                    }
                },
                {
                    extend: 'print',
                    className: 'btn btn-default',
                    exportOptions: {
                        columns: ':visible'
                    }
                },
                {
                    extend: 'colvis',
                    text: '<i class="icon-three-bars"></i> <span class="caret"></span>',
                    className: 'btn bg-blue btn-icon'
                }
                
            ]
        },
        lengthMenu: [
            [  10, 25, 50, 100 ],
            [  '10', '25', '50', '100' ]
        ],
        "processing": true,
        "serverSide": true,
        "ajax": {
        "url" : "models/crul_languages.php",
        "data": function(d){
          d.type = "load";
        }
        },
        drawCallback: function() {
                  $('[data-popup=tooltip]').tooltip();
                  $('[data-popup=popover-custom]').popover({
                    template: '<div class="popover  border-teal-400"><div class="arrow"></div><h3 class="popover-title bg-teal-400"></h3><div class="popover-content"></div></div>'
                  });

            },
        "columnDefs": [
          {
              "targets": 6,
              "data": null,
              "render": function (data,type,row) {

                            return  `<ul class='icons-list pull-right'>
                                      
                                        <li class='text-primary-600'>
                                            <a href='#' class='text-primary-400' onclick="edit_items(`+row[0]+`,'`+escapeHtml(row[1])+`','`+escapeHtml(row[2])+`','`+escapeHtml(row[3])+`','`+row[4]+`','`+row[5]+`')" data-popup='tooltip' data-original-title='`+Translation('تعديل')+`'>
                                                <i class='icon-pencil7'></i>
                                            </a>
                                        </li>

                                        <li class='text-danger-600'>
                                            <a href='#' class='text-danger-400' onclick="delete_items(`+row[0]+`)" data-popup='tooltip' data-original-title='`+Translation('حذف')+`'>
                                                <i class='icon-trash'></i>
                                            </a>
                                        </li>

                                    </ul>`;
                        }
          },

          {
             "render": function(data, type, row){


                      return  `<a href='index.php?p=translation&id=`+row[0]+`'  data-popup='tooltip' data-original-title='`+Translation('عرض وترجمة كلمات هذه اللغة')+`'>`+data+`</a>`;


             },
             "targets": 1
          },

          {
             "render": function(data, type, row){

                   if(data =='rtl' ){
                     status=  `<span class="label label-success btn-block ">`+Translation('من اليمين الى اليسار')+`</span>`;
                   }else{ 
                     status = '<span class="label bg-violet  btn-block ">'+Translation('من اليسار الى اليمين')+'  </span>';
                   }
                      return  status;


             },
             "targets": 4
          },

          {
             "render": function(data, type, row){

                   if(data ==1 ){
                     status=  `<span class="label label-success btn-block ">`+Translation('اللغة الافتراضية')+`</span>`;
                   }else{ 
                     status = '<span class="label bg-orange  btn-block ">'+Translation('غير افتراضية')+'  </span>';
                   }
                      return  status;


             },
             "targets": 5
          },

        
            
           
        ],
        "fnRowCallback": function (nRow, aData, iDisplayIndex, iDisplayIndexFull) {


            if(   aData[4] == 0 ){
                $(nRow).children().each(function (index, td) {
                    $(this).addClass('warning-active');
                });
            }
        },
        "order": [[0,'desc']],
                "displayLength": 25,
 

        initComplete: function () {
         
        // $("div.datatable-header").append(`<a  style="margin-left:15px;" class="btn bg-info-400"  id="headerBtn" onclick="add_item()"> <i class="icon-file-pdf position-right"></i> Add Category </a>`);   
         $("div.datatable-header").append(`<a data-toggle="collapse"
                                      style="margin-right:10px;"
                                      data-target="#add-form-cont"
                                      href="javascript:;"
                                      aria-controls="add-form-cont"
                                      aria-expanded="false"
                                      class="btn btn-primary"
                                      id="add_Item_Btn">
                                        <i class="`+CURRENT_BTN_ICON+`"></i> `+Translation(CURRENT_BTN)+`
                                    </a>`);  


            this.api().columns().every( function() {
                var column = this;
                

            });
        }
    });

    
    table.columns().every( function () {
        var that = this;
        $('input', this.footer()).on('keyup change', function () {
            that.search(this.value).draw();
        });
    });


    // Single row selection
    
    $('.datatable-column-search-inputs tbody').on('click', 'tr', function() {
        if ($(this).hasClass('success')) {
            $(this).removeClass('success');
        }
        else {
            table.$('tr.success').removeClass('success');
            $(this).addClass('success');
        }
    });


         // change filter to top
    $('.datatable-column-search-inputs tfoot tr').insertAfter($('.datatable-column-search-inputs thead tr'))


    $('.dataTables_length select').select2({
        minimumResultsForSearch: Infinity,
        width: 'auto'
    });


});



